Skip to main content
GET
/
users
/
{user_guid}
/
members
/
{member_guid}
/
statements
/
{statement_guid}
.pdf
Download statement pdf
curl --request GET \
  --url https://int-api.mx.com/users/{user_guid}/members/{member_guid}/statements/{statement_guid}.pdf \
  --header 'Accept-Version: <accept-version>' \
  --header 'Authorization: Basic <encoded-value>'
import requests

url = "https://int-api.mx.com/users/{user_guid}/members/{member_guid}/statements/{statement_guid}.pdf"

headers = {
"Accept-Version": "<accept-version>",
"Authorization": "Basic <encoded-value>"
}

response = requests.get(url, headers=headers)

print(response.text)
const options = {
method: 'GET',
headers: {'Accept-Version': '<accept-version>', Authorization: 'Basic <encoded-value>'}
};

fetch('https://int-api.mx.com/users/{user_guid}/members/{member_guid}/statements/{statement_guid}.pdf', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


"<string>"
Use this endpoint to download a specified statement PDF.

Authorizations

Authorization
string
header
required

The MX Platform API requires basic access authentication using your client_id and api_key. These credentials must be Base64 encoded and included in the Authorization header of each API request to ensure secure access.

Here's an example using curl to access v20250224. Replace https://int-api.mx.com/endpoint with the actual API endpoint you wish to access and your Base64 encoded client_id and api_key.

curl -L -X POST `https://int-api.mx.com/endpoint' \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'Accept-Version: v20250224'
-H 'Authorization: Basic BASE_64_ENCODING_OF{client_id:api_key}'

Headers

Accept-Version
string
default:v20250224
required

MX Platform API version.

Example:

"v20250224"

Path Parameters

member_guid
string
required

The unique id for a member.

statement_guid
string
required

The unique id for a statement.

user_guid
string
required

The unique identifier for a user, beginning with the prefix USR-.

Response

200 - application/vnd.mx.api.v1+pdf

OK

The response is of type file.